Skip to main content
GET
/
api
/
v2
/
platform
/
option_types
/
{id}
Return an Option Type
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{defaultHost}/api/v2/platform/option_types/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "73",
    "type": "option_type",
    "attributes": {
      "name": "foo-size-73",
      "presentation": "Size",
      "position": 1,
      "created_at": "2022-11-08T19:34:32.026Z",
      "updated_at": "2022-11-08T19:34:32.026Z",
      "filterable": true,
      "public_metadata": {},
      "private_metadata": {}
    },
    "relationships": {
      "option_values": {
        "data": []
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Record found

data
object
required